/* Generated By:JavaCC: Do not edit this line. ValueParser.java */
package org.efaps.beans.valueparser;

import java.util.HashSet;

import org.efaps.beans.ValueList;

public class ValueParser implements ValueParserConstants {

private final static String[] tests = new String[]{
    "$<Expr>",
    "Text$<Expr>",
    "Text$Expr",
    "Text$$<Expr>",
    "Dies ist ein Test fuer $<Expr1> und $<Expr2>",
    "Dies ist ein Test fuer $<Expr1> und $<Expr2>\u005cnin zwei Zeilen mit $<Expr3> in 2. Zeile."
};

private final static String[][] expressions = new String[][]{
    {"Expr"},
    {"Expr"},
    {},
    {"Expr"},
    {"Expr1", "Expr2"},
    {"Expr1", "Expr2", "Expr3"}
};


  public static void main(String args[]) throws ParseException {
    for (int i=0; i<tests.length; i++)  {
System.out.println("------------------------------------");
System.out.println("test of |"+tests[i]+"|");
            ValueParser parser = new ValueParser(new java.io.StringReader(tests[i]));
        ValueList list = parser.ExpressionString();
boolean identical = (tests[i].equals(list.getValueList()));
String[] expr4test = expressions[i];
boolean exprSize = false;
boolean identExpr = false;
if (expr4test.length == list.getExpressions().size())  {
    exprSize = true;
    identExpr = true;
    for (int j=0; j<expr4test.length; j++)  {
        if (!list.getExpressions().contains(expr4test[j]))  {
            identExpr = false;
            break;
        }
    }
}
System.out.println("  identical        = "+identical);
System.out.println("  expression size  = "+exprSize);
System.out.println("  expression ident = "+identExpr);

    }
  }

/*****************************************
 * GRAMMAR PRODUCTIONS *
 *****************************************/

/**
 *
 * Returns a String if the expression string is a single String, an
 * Expression if the expression string is a single Expression, an
 * ExpressionString if it's a mixture of both.
 **/
  final public ValueList ExpressionString() throws ParseException {
  Token string, expr;
  ValueList ret = new ValueList();
    label_1:
    while (true) {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case NON_EXPRESSION_TEXT:
      case START_EXPRESSION:
        ;
        break;
      default:
        jj_la1[0] = jj_gen;
        break label_1;
      }
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case NON_EXPRESSION_TEXT:
        string = AttrValueString();
        ret.addText(string.image);
        break;
      case START_EXPRESSION:
        expr = AttrValueExpression();
        ret.addExpression(expr.image);
        break;
      default:
        jj_la1[1] = jj_gen;
        jj_consume_token(-1);
        throw new ParseException();
      }
    }
    {if (true) return ret;}
    throw new Error("Missing return statement in function");
  }

  final public Token AttrValueString() throws ParseException {
  Token string;
    string = jj_consume_token(NON_EXPRESSION_TEXT);
    {if (true) return string;}
    throw new Error("Missing return statement in function");
  }

  final public Token AttrValueExpression() throws ParseException {
  Token expr;
    jj_consume_token(START_EXPRESSION);
    expr = jj_consume_token(EXPRESSION);
    jj_consume_token(END_EXPRESSION);
    {if (true) return expr;}
    throw new Error("Missing return statement in function");
  }

  /** Generated Token Manager. */
  public ValueParserTokenManager token_source;
  SimpleCharStream jj_input_stream;
  /** Current token. */
  public Token token;
  /** Next token. */
  public Token jj_nt;
  private int jj_ntk;
  private int jj_gen;
  final private int[] jj_la1 = new int[2];
  static private int[] jj_la1_0;
  static {
      jj_la1_init_0();
   }
   private static void jj_la1_init_0() {
      jj_la1_0 = new int[] {0x6,0x6,};
   }

  /** Constructor with InputStream. */
  public ValueParser(java.io.InputStream stream) {
     this(stream, null);
  }
  /** Constructor with InputStream and supplied encoding */
  public ValueParser(java.io.InputStream stream, String encoding) {
    try { jj_input_stream = new SimpleCharStream(stream, encoding, 1, 1); } catch(java.io.UnsupportedEncodingException e) { throw new RuntimeException(e); }
    token_source = new ValueParserTokenManager(jj_input_stream);
    token = new Token();
    jj_ntk = -1;
    jj_gen = 0;
    for (int i = 0; i < 2; i++) jj_la1[i] = -1;
  }

  /** Reinitialise. */
  public void ReInit(java.io.InputStream stream) {
     ReInit(stream, null);
  }
  /** Reinitialise. */
  public void ReInit(java.io.InputStream stream, String encoding) {
    try { jj_input_stream.ReInit(stream, encoding, 1, 1); } catch(java.io.UnsupportedEncodingException e) { throw new RuntimeException(e); }
    token_source.ReInit(jj_input_stream);
    token = new Token();
    jj_ntk = -1;
    jj_gen = 0;
    for (int i = 0; i < 2; i++) jj_la1[i] = -1;
  }

  /** Constructor. */
  public ValueParser(java.io.Reader stream) {
    jj_input_stream = new SimpleCharStream(stream, 1, 1);
    token_source = new ValueParserTokenManager(jj_input_stream);
    token = new Token();
    jj_ntk = -1;
    jj_gen = 0;
    for (int i = 0; i < 2; i++) jj_la1[i] = -1;
  }

  /** Reinitialise. */
  public void ReInit(java.io.Reader stream) {
    jj_input_stream.ReInit(stream, 1, 1);
    token_source.ReInit(jj_input_stream);
    token = new Token();
    jj_ntk = -1;
    jj_gen = 0;
    for (int i = 0; i < 2; i++) jj_la1[i] = -1;
  }

  /** Constructor with generated Token Manager. */
  public ValueParser(ValueParserTokenManager tm) {
    token_source = tm;
    token = new Token();
    jj_ntk = -1;
    jj_gen = 0;
    for (int i = 0; i < 2; i++) jj_la1[i] = -1;
  }

  /** Reinitialise. */
  public void ReInit(ValueParserTokenManager tm) {
    token_source = tm;
    token = new Token();
    jj_ntk = -1;
    jj_gen = 0;
    for (int i = 0; i < 2; i++) jj_la1[i] = -1;
  }

  private Token jj_consume_token(int kind) throws ParseException {
    Token oldToken;
    if ((oldToken = token).next != null) token = token.next;
    else token = token.next = token_source.getNextToken();
    jj_ntk = -1;
    if (token.kind == kind) {
      jj_gen++;
      return token;
    }
    token = oldToken;
    jj_kind = kind;
    throw generateParseException();
  }


/** Get the next Token. */
  final public Token getNextToken() {
    if (token.next != null) token = token.next;
    else token = token.next = token_source.getNextToken();
    jj_ntk = -1;
    jj_gen++;
    return token;
  }

/** Get the specific Token. */
  final public Token getToken(int index) {
    Token t = token;
    for (int i = 0; i < index; i++) {
      if (t.next != null) t = t.next;
      else t = t.next = token_source.getNextToken();
    }
    return t;
  }

  private int jj_ntk() {
    if ((jj_nt=token.next) == null)
      return (jj_ntk = (token.next=token_source.getNextToken()).kind);
    else
      return (jj_ntk = jj_nt.kind);
  }

  private java.util.List<int[]> jj_expentries = new java.util.ArrayList<int[]>();
  private int[] jj_expentry;
  private int jj_kind = -1;

  /** Generate ParseException. */
  public ParseException generateParseException() {
    jj_expentries.clear();
    boolean[] la1tokens = new boolean[11];
    if (jj_kind >= 0) {
      la1tokens[jj_kind] = true;
      jj_kind = -1;
    }
    for (int i = 0; i < 2; i++) {
      if (jj_la1[i] == jj_gen) {
        for (int j = 0; j < 32; j++) {
          if ((jj_la1_0[i] & (1<<j)) != 0) {
            la1tokens[j] = true;
          }
        }
      }
    }
    for (int i = 0; i < 11; i++) {
      if (la1tokens[i]) {
        jj_expentry = new int[1];
        jj_expentry[0] = i;
        jj_expentries.add(jj_expentry);
      }
    }
    int[][] exptokseq = new int[jj_expentries.size()][];
    for (int i = 0; i < jj_expentries.size(); i++) {
      exptokseq[i] = jj_expentries.get(i);
    }
    return new ParseException(token, exptokseq, tokenImage);
  }

  /** Enable tracing. */
  final public void enable_tracing() {
  }

  /** Disable tracing. */
  final public void disable_tracing() {
  }

}
