/*
 * Copyright 2003 - 2013 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 8848 $
 * Last Changed:    $Date: 2013-02-19 10:49:59 -0500 (Tue, 19 Feb 2013) $
 * Last Changed By: $Author: jan@moxter.net $
 */

package org.efaps.update.schema.program.staticsource;

import java.net.URL;

import org.efaps.ci.CIAdminProgram;
import org.efaps.update.util.InstallationException;

/**
 * Class used to import javascript programs into eFaps.
 *
 * @author The eFaps Team
 * @version $Id: JavaScriptImporter.java 8848 2013-02-19 15:49:59Z jan@moxter.net $
 */
public class JavaScriptImporter
    extends AbstractStaticSourceImporter
{
    /**
     * @param _url URL of the javascript file
     * @throws InstallationException on error
     */
    public JavaScriptImporter(final URL _url)
        throws InstallationException
    {
        super(CIAdminProgram.JavaScript, _url);
    }
}
